import { OnInit, EventEmitter } from '@angular/core';
import { SectionHoverComponent } from '../section-hover/section-hover.component';
import { MatMenuTrigger } from '@angular/material/menu';
import { HoverLayerComponent } from '../hover-layer.component';
import { MatDialog } from '@angular/material/dialog';
export declare class AddNewRowComponent implements OnInit {
    dialog: MatDialog;
    numberOfColumns: number;
    columnRatio: number;
    hoverUpon: string;
    meta_data: any;
    selectedSection: {
        focused: boolean;
        type: string;
        rows: any;
        section_type: any;
        meta_data: any;
    };
    addElementMenu: MatMenuTrigger;
    hoverLayer: HoverLayerComponent;
    section: SectionHoverComponent;
    regForm: any;
    /**
     * @description
     * Emit event to add element.
     */
    onAddSection: EventEmitter<any>;
    onRemoveElement: EventEmitter<any>;
    onCloneElement: EventEmitter<any>;
    onConfigureElement: EventEmitter<any>;
    constructor(dialog: MatDialog);
    calledFrom: string;
    currentPreviewLayout: string;
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    createColumns(column: number, ri?: number): void;
    addNewElement(type: string, mi: number, ni?: number, ri?: number): void;
    removeElement(mi: number, ni: number, ri?: number): void;
    cloneElement(mi: number, ni: number, ri?: number): void;
    moveElement(direction: string, mi: number, ni: number, ri?: number): void;
    removeRow(ri: number): void;
    cloneRow(ri: number): void;
    moveRow(direction: string, ri: number): void;
    configureElement(component: any): void;
    mouseHover(e: any, type: any): void;
    /**
     * generate unique class
     */
    getUniqueClass(): string;
    configureColumn(data: any, event: any): void;
    sectionClick(targetElement: any): void;
    checkHiddenElement(columns: any): boolean;
}
